• 210.48.11.260
  • Mon. - Fri. 10:00 - 18:00

Minimum Requirements

01/01/0001 00:00:00
The most important program you need to start your lessons is Internet Explorer, meaning the program with this logo:
 

The following list with the minimum requirements is consisted with the programs that usually computers have already installed.
The first time that you will login on the Q-English, Q-Kids or Q-Business you will see the System Check tool.
Click System Check and your computer will be automatically checked. In case you miss some of the required programs the system will give you the opportunity to install it by clicking on the referring link.


   Windows XP:
  1. Internet Explorer 6.0 or newer version.
  2. Windows XP SP3 (Service Pack 3).
  3. Adobe Flash Player (latest version).
  4. Adobe Reader (latest version).
  5. Java τελευταία έκδοση.
  6. Adobe Shockwave Player (latest version).
  7. Windows Media Player 11.
  8. . NET Framework 2.0.


    Windows Vista - Windows 7:
  1. Internet Explorer 7.0 or newer version. Adobe Flash Player (latest version).
  2. Αdobe Reader (latest version).
  3. Java (latest version).
  4. Adobe Shockwave Player (latest version).
  5. .NET Framework 2.0.